//===================================================================
//                                                                  =
// Program description                                              =
//                                                                  =
// Compiler options                                                 =
// Compiler version                                                 =
//                                                                  =
//===================================================================

/********************************************************************/
/* Function    : ISR_header()                                   ISR */
/*------------------------------------------------------------------*/
/* Description :                                                    */
/*                                                                  */
/*------------------------------------------------------------------*/
/* Author      : Your name                                          */
/*------------------------------------------------------------------*/
/* Input       : none                                               */
/*------------------------------------------------------------------*/
/* Returnvalue : none                                               */
/*------------------------------------------------------------------*/
/* History     : mm/yy    V1.0 Basic routine                        */
/*                                                                  */
/********************************************************************/

/********************************************************************/
/* Function    : Subroutine_header()                            SUB */
/*------------------------------------------------------------------*/
/* Description :                                                    */
/*                                                                  */
/*------------------------------------------------------------------*/
/* Author      : Your name                                          */
/*------------------------------------------------------------------*/
/* Input       : none                                               */
/*------------------------------------------------------------------*/
/* Returnvalue : none                                               */
/*------------------------------------------------------------------*/
/* History     : mm/yy    V1.0 Basic routine                        */
/*                                                                  */
/********************************************************************/


// INCLUDES =========================================================
#include <AT89S53.h> // Definitions of registers, SFRs and Bits
// END INCLUDES =====================================================


// DEFINES ==========================================================
// END DEFINES ======================================================


// ISR-Prototypes ===================================================
void External0_ISR(void) interrupt 0; // ISR for the external input INT0
void Timer0_ISR(void)    interrupt 1; // ISR for Timer0 overflow
void External1_ISR(void) interrupt 2; // ISR for the external input INT1
void Timer1_ISR(void)    interrupt 3; // ISR for Timer1 overflow
void Serial_ISR(void)    interrupt 4; // ISR for serial reception
void Timer2_ISR(void)    interrupt 5; // ISR for Timer2 overflow
// END ISR-Prototypes ===============================================


// Prototypes =======================================================
// END Prototypes ===================================================


// Globals ==========================================================
const char *VERSION = "Programname 1V0 (C) 1999 by Your name";  // Version control
// END Globals ======================================================


// External0-ISR (INT0) =============================================
void External0_ISR(void) interrupt 0 
{
// Safety-routine
_asm
  nop
_endasm;
 
return;  
}
// END External0-ISR ================================================


// Timer0-ISR =======================================================
void Timer0_ISR(void) interrupt 1
{
// Safety-routine
_asm
  nop
_endasm;

return;
}
// END Timer0-ISR ===================================================


// External1-ISR (INT1) =============================================
void External1_ISR(void) interrupt 2
{
// Safety-routine
_asm
  nop
_endasm;
  
return;
}
// END External1-ISR ================================================


void Timer1_ISR(void) interrupt 3
{
// Safety-routine
_asm
  nop
_endasm;

return;
}
// END Timer1-ISR ===================================================
 

// Serial-ISR =======================================================
void Serial_ISR(void) interrupt 4
{
// Safety-routine
_asm
  nop
_endasm;
  
return;
}
// END Serial-ISR ===================================================


// Timer2-ISR =======================================================
void Timer2_ISR(void) interrupt 5
{
// Safety-routine
_asm
  nop
_endasm;

return;
}
// END Timer2-ISR ===================================================


// MAIN =============================================================
void main( void )
{

while(1) // Main loop
  {
  _asm
    nop
  _endasm;
  }

}
// END MAIN =========================================================
